# `PhoenixKitWeb.Components.Core.OAuthProvider`
[🔗](https://github.com/BeamLabEU/phoenix_kit/blob/v1.7.87/lib/phoenix_kit_web/components/core/oauth_provider.ex#L1)

Reusable component for OAuth provider credential forms.

# `oauth_provider_credentials`

Renders an OAuth provider credential form with fields, test button, and setup instructions.

## Attributes
- `provider` - The provider name (:google, :apple, :github, :facebook)
- `enabled` - Boolean indicating if this provider is enabled
- `settings` - Map of current settings values
- `callback_url` - The OAuth callback URL for this provider

## Attributes

* `provider` (`:atom`) (required)
* `enabled` (`:boolean`) (required)
* `settings` (`:map`) (required)
* `callback_url` (`:string`) (required)

---

*Consult [api-reference.md](api-reference.md) for complete listing*
